/* 
 * $Header: /home/projects/mule/scm/mule/providers/stream/src/java/org/mule/providers/stream/StreamMessageAdapter.java,v 1.2 2005/04/14 06:06:52 rossmason Exp $
 * $Revision: 1.2 $
 * $Date: 2005/04/14 06:06:52 $
 * ------------------------------------------------------------------------------------------------------
 * 
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 * 
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file. 
 *
 */
package org.mule.providers.stream;

import org.mule.providers.AbstractMessageAdapter;
import org.mule.umo.provider.MessageTypeNotSupportedException;

/**
 * <code>StreamMessageAdapter</code>
 *
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.2 $
 */
public class StreamMessageAdapter extends AbstractMessageAdapter
{
    private String message = null;

    public StreamMessageAdapter(Object message) throws MessageTypeNotSupportedException
    {
        setMessage(message);
    }

    /**
     * Converts the message implementation into a String representation
     *
     * @return String representation of the message
     * @throws Exception Implemetation may throw an endpoint specific exception
     */
    public String getPayloadAsString() throws Exception
    {
        return message.toString();
    }

    /**
     * Converts the message implementation into a String representation
     *
     * @return String representation of the message
     * @throws Exception Implemetation may throw an endpoint specific exception
     */
    public byte[] getPayloadAsBytes() throws Exception
    {
        String msg = getPayloadAsString();
        return msg.getBytes();
    }

    /**
     * @return the current message
     */
    public Object getPayload()
    {
        return message;
    }

    /**
     * @param message new value for the message
     */
    private void setMessage(Object message) throws MessageTypeNotSupportedException
    {
        if(message instanceof String) {
            this.message  = (String)message;
        } else {
            throw new MessageTypeNotSupportedException(message, StreamMessageAdapter.class);
        }
    }
}