/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/routing/inbound/InboundPassThroughRouter.java,v 1.2 2005/04/14 06:07:40 rossmason Exp $
 * $Revision: 1.2 $
 * $Date: 2005/04/14 06:07:40 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.routing.inbound;

import org.mule.umo.UMOEvent;
import org.mule.umo.routing.RoutingException;

/**
 * <code>InboundPassThroughRouter</code> allows intbound routing over all registered
 * endpoints without any filtering.  This class is used by Mule when a specific
 * inbound router has not been configured on a UMODescriptor.
 *
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.2 $
 */

public class InboundPassThroughRouter extends SelectiveConsumer
{
    public UMOEvent[] process(UMOEvent event) throws RoutingException
        {
            synchronized(event) {
                return new UMOEvent[]{event};
            }
        }

        public boolean isMatch(UMOEvent event) throws RoutingException
        {
            return true;
        }
}
