/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/tck/NamedTestCase.java,v 1.4 2005/04/14 06:07:41 rossmason Exp $
 * $Revision: 1.4 $
 * $Date: 2005/04/14 06:07:41 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.tck;

import junit.framework.TestCase;
import org.mule.config.MuleProperties;
import org.mule.util.StringMessageHelper;
import org.mule.util.Utility;

import java.io.File;

/**
 * <code>NamedTestCase</code> provides readable testcase names.
 *
 * @author Joe Walnes
 * @version $Revision: 1.4 $
 */

public abstract class NamedTestCase extends TestCase
{
    protected NamedTestCase()
    {
        //when testing, do not set up server connections
       System.setProperty(MuleProperties.DISABLE_SERVER_CONNECTIONS, "true");
    }

    public String getName()
    {
        return super.getName().substring(4).replaceAll("([A-Z])", " $1").toLowerCase();
    }

    /**
     * Print the name of this test to standard output
     */
    protected void setUp() throws Exception
    {
        System.out.println(StringMessageHelper.getBoilerPlate("Testing: " + toString(), '=', 80));;
    }

    protected void tearDown() throws Exception {
        File f = new File(".mule");
        try {
            if(f.exists()) {
                Utility.deleteTree(f);
            }
        } catch (Exception e) {
            //ignore
        }
    }
}
