/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/umo/endpoint/EndpointException.java,v 1.3 2005/04/14 06:07:42 rossmason Exp $
 * $Revision: 1.3 $
 * $Date: 2005/04/14 06:07:42 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.umo.endpoint;

import org.mule.config.i18n.Message;
import org.mule.umo.UMOException;

/**
 * <code>EndpointException</code> is an abstract exception extended by endpoint specific
 * exceptions.
 *
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.3 $
 */

public class EndpointException extends UMOException
{
    /**
     * @param message the exception message
     */
    public EndpointException(Message message)
    {
        super(message);
    }

    /**
     * @param message the exception message
     * @param cause   the exception that cause this exception to be thrown
     */
    public EndpointException(Message message, Throwable cause)
    {
        super(message, cause);
    }

    public EndpointException(Throwable cause)
    {
        super(cause);
    }
}
