/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/umo/lifecycle/RecoverableException.java,v 1.2 2005/04/14 06:07:42 rossmason Exp $
 * $Revision: 1.2 $
 * $Date: 2005/04/14 06:07:42 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.umo.lifecycle;

import org.mule.config.i18n.Message;

/**
 * <code>RecoverableException</code> can be thrown during initialisation to
 * indicate that the error occurred is not fatal and a reactive action
 * can be performed to try and remedy the error. The most common example would
 * be a Connector failing to connect due to a JVM_BIND exception.
 *
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.2 $
 */
public class RecoverableException extends InitialisationException
{
    /**
     * @param message the exception message
     */
    public RecoverableException(Message message, Object object)
    {
        super(message, object);
    }

    /**
     * @param message the exception message
     * @param cause   the exception that cause this exception to be thrown
     */
    public RecoverableException(Message message, Object object, Throwable cause)
    {
        super(message, cause, object);
    }
}
