/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/util/queue/PersistenceStrategy.java,v 1.3 2005/04/14 06:08:10 rossmason Exp $
 * $Revision: 1.3 $
 * $Date: 2005/04/14 06:08:10 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.util.queue;

import EDU.oswego.cs.dl.util.concurrent.BoundedChannel;
import org.mule.umo.UMOEvent;
import org.mule.umo.lifecycle.InitialisationException;

/**
 * <code>PersistenceStrategy</code> TODO
 *
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.3 $
 */

public interface PersistenceStrategy
{
    public void store(UMOEvent event) throws PersistentQueueException;

    public boolean remove(UMOEvent event) throws PersistentQueueException;

    public void initialise(BoundedChannel queue, String componentName) throws InitialisationException;

    public void dispose() throws PersistentQueueException;

}
