/*
 * $Header: /home/projects/mule/scm/mule/providers/jdbc/src/test/java/org/mule/providers/jdbc/JdbcConnectorTestCase.java,v 1.2 2005/04/14 06:06:54 rossmason Exp $
 * $Revision: 1.2 $
 * $Date: 2005/04/14 06:06:54 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.providers.jdbc;

import org.hsqldb.jdbc.jdbcDataSource;
import org.mule.tck.providers.AbstractConnectorTestCase;
import org.mule.umo.provider.UMOConnector;

import java.util.HashMap;
import java.util.Map;

/**
 * @author Guillaume Nodet
 * @version $Revision: 1.2 $
 */
public class JdbcConnectorTestCase extends AbstractConnectorTestCase {

	/* (non-Javadoc)
	 * @see org.mule.tck.providers.AbstractConnectorTestCase#getConnector()
	 */
	public UMOConnector getConnector() throws Exception {
        JdbcConnector c = new JdbcConnector();
        c.setName("JdbcConnector");
        jdbcDataSource ds = new jdbcDataSource();
        ds.setDatabase("hsqldb:.");
        ds.setUser("sa");
        c.setDataSource(ds);
        c.setPollingFrequency(1000);
        c.initialise();
        return c;
	}

	/* (non-Javadoc)
	 * @see org.mule.tck.providers.AbstractConnectorTestCase#getValidMessage()
	 */
	public Object getValidMessage() throws Exception {
		Map map = new HashMap();
		return map;
	}

	/* (non-Javadoc)
	 * @see org.mule.tck.providers.AbstractConnectorTestCase#getTestEndpointURI()
	 */
	public String getTestEndpointURI() {
		return "jdbc://test?sql=SELECT * FROM TABLE";
	}

}
